Bug 1759490 - Fedora 31: Wayland: qtwebengine-based applications cannot be full screened
Summary: Fedora 31: Wayland: qtwebengine-based applications cannot be full screened
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtwayland
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker RejectedFreezeExcepti...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-08 10:20 UTC by Ankur Sinha (FranciscoD)
Modified: 2019-10-29 01:58 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2019-10-08 10:20:11 UTC
Description of problem:
QT applications running in Gnome shell using Wayland cannot be full screened.

Version-Release number of selected component (if applicable):
$ rpm -qa \*gnome-shell\* \*qgnome\* \*falkon\* \*qutebrowser\*
gnome-shell-3.34.0-3.fc31.x86_64
qutebrowser-1.8.1-1.fc31.noarch
qgnomeplatform-0.5-13.fc31.x86_64
falkon-3.1.0-2.fc31.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Run a QT application in Gnome shell using Wayland
2. Press F11 to full screen (or click the full screen button in a youtube video)
3.

Actual results:
The application can no longer be seen. The application behind it is shown.

Expected results:
Should full screen normally.

Additional info:

Comment 1 Ankur Sinha (FranciscoD) 2019-10-08 10:25:06 UTC
Just tried VLC, works there. Does not work in Qutebrowser/Falkon, though.

Comment 2 František Zatloukal 2019-10-08 10:38:19 UTC
VLC is using XWayland, so it looks like this issue is affecting all QT apps that don't force XWayland under Wayland session.
If you run falkon with forced XWayland, it works in fullscreen just fine. You can do that by setting QT_QPA_PLATFORM=xcb .

So, "QT_QPA_PLATFORM=xcb falkon" works just fine.

I don't think it's blocker worthy, but proposing it as blocker won't hurt anything.

Comment 3 Jan Grulich 2019-10-08 11:05:08 UTC
Looks like https://bugreports.qt.io/browse/QTBUG-63748. There is even a PR which was not merged https://codereview.qt-project.org/c/qt/qtwayland/+/199123. I asked in the PR so let's see what is the status and whether we can backport it to Fedora if it gets merged.

Comment 4 Jan Grulich 2019-10-08 11:42:13 UTC
Ok, based on the comment it should be already implemented. I will try to look why it doesn't work once I find some time.

Comment 5 Jonas Ådahl 2019-10-08 15:14:10 UTC
Moving to qt5-qtwayland then.

Comment 6 Jan Grulich 2019-10-09 10:21:58 UTC
Opened upstream bug: https://bugreports.qt.io/browse/QTBUG-79106

Comment 7 Kamil Páral 2019-10-09 11:17:03 UTC
Proposing for a blocker discussion.

Comment 8 Jan Grulich 2019-10-09 11:36:35 UTC
I don't think this should be considered as a blocker, this issue affects only applications using qtwebengine and those are only Falkon and Qutebrowser. Those are not even installed by default on Fedora Workstation.

Comment 9 Kamil Páral 2019-10-10 16:29:19 UTC
-1 blocker per comment 8. If this affects just 2 applications, this is a very niche problem.

Comment 10 Kevin Fenzi 2019-10-10 17:35:34 UTC
note that calibre (as of 4.0.0) is also using qtwebengine.

I'm -1 blocker, +1 FE

I also don't see this on rawhide...

Comment 11 Mohan Boddu 2019-10-10 17:36:07 UTC
I agree with Jan here and -1 Blocker.

Comment 12 Ben Cotton 2019-10-10 17:37:53 UTC
-1 blocker since it doesn't affect default packages. +1 FE

Comment 13 František Zatloukal 2019-10-10 17:47:03 UTC
-1 Blocker, +1 FE

Comment 14 Adam Williamson 2019-10-10 18:00:14 UTC
That's -5 blocker, so rejecting as a blocker. +3 FE, but I think I'd want to make the case for -1 FE; this shouldn't really affect anything out of the box, and I'm not sure I'd want to poke the release Qt package during a freeze just to fix this. I think I'd actually be happier with this as a zero-day update than an FE. So I'm gonna say we're at -1/+3 FE and leave that status open for now.

Comment 15 Geoffrey Marr 2019-10-14 19:15:07 UTC
Discussed during the 2019-10-14 blocker review meeting: [0]

The decision to classify this bug as a "RejectedFreezeException" was made as we don't see any convincing benefit to granting an FE here, the only case it would really help is someone installing a qtwebengine-based app in a Workstation live session, which seems like a pretty unusual scenario. We think it's fine for this to go as a regular update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-10-14/f31-blocker-review.2019-10-14-16.01.txt


Note You need to log in before you can comment on or make changes to this bug.